Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class jdbcResultSet

    java.lang.Object
      |
      +--org.hsqldb.jdbcResultSet

public class jdbcResultSet
extends java.lang.Object
implements java.sql.ResultSet, java.sql.ResultSetMetaData

In HSQL Database Engine, the class jdbcResultSet implements both the ResultSet and ResultSetMetaData interfaces. To conform the JDBC standard, it is anyway required to call the 'getMetaData' function to get the ResultSetMetaData of the ResultSet. This is so because in other JDBC drivers the interfaces are not implemented in the same class.

ResultSetMetaData can be used to find out about the types and properties of the columns in a ResultSet.

A ResultSet provides access to a table of data. A ResultSet object is usually generated by executing a Statement.

A ResultSet maintains a cursor pointing to its current row of data. Initially the cursor is positioned before the first row. The 'next' method moves the cursor to the next row.

The getXXX methods retrieve column values for the current row. You can retrieve values using either the index number of the column or the name of the column. In general, using the column index will be more efficient. Columns are numbered from 1.

For maximum portability, ResultSet columns within each row should be read in left-to-right order and each column should be read only once.

For the getXXX methods, the JDBC driver attempts to convert the underlying data to the specified Java type and returns a suitable Java value. See the JDBC specification for allowable mappings from SQL types to Java types with the ResultSet.getXXX methods.

Column names used as input to getXXX methods are case insensitive. When performing a getXXX using a column name, if several columns have the same name, then the value of the first matching column will be returned. The column name option is designed to be used when column names are used in the SQL query. For columns that are NOT explicitly named in the query, it is best to use column numbers. If column names are used, there is no way for the programmer to guarantee that they actually refer to the intended columns.

A ResultSet is automatically closed by the Statement that generated it when that Statement is closed, re-executed, or used to retrieve the next result from a sequence of multiple results.

The number, types and properties of a ResultSet's columns are provided by the ResulSetMetaData object returned by the getMetaData method.

See Also:
  `jdbcStatement.executeQuery(java.lang.String)`, `jdbcStatement.getResultSet()`

Fields inherited from interface java.sql.ResultSet
`CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

Fields inherited from interface java.sql.ResultSetMetaData
`columnNoNulls, columnNullable, columnNullableUnknown`

Constructor Summary
`(package private)` | `jdbcResultSet(Result r)` Constructor declaration

Method Summary
`boolean` | `absolute(int row)` JDBC 2.0
`void` | `afterLast()` JDBC 2.0
`void` | `beforeFirst()` JDBC 2.0
`void` | `cancelRowUpdates()` JDBC 2.0 Cancels the updates made to a row.
`void` | `clearWarnings()` After this call getWarnings returns null until a new warning is reported for this ResultSet.
`void` | `close()` Releases this `ResultSet` object's database and JDBC resources immediately instead of waiting for this to happen when it is automatically closed.
`void` | `deleteRow()` JDBC 2.0 Deletes the current row from the result set and the underlying database.
`int` | `findColumn(java.lang.String columnName)` Maps the given Resultset column name to its ResultSet column index.
`boolean` | `first()` JDBC 2.0
`java.sql.Array` | `getArray(int column)` JDBC 2.0 Gets an SQL ARRAY value from the current row of this `ResultSet` object.
`java.sql.Array` | `getArray(java.lang.String columnName)` JDBC 2.0 Gets an SQL ARRAY value in the current row of this `ResultSet` object.
`java.io.InputStream` | `getAsciiStream(int column)` Gets the value of a column in the current row as a stream of ASCII characters.
`java.io.InputStream` | `getAsciiStream(java.lang.String columnName)` Gets the value of a column in the current row as a stream of ASCII characters.
`java.math.BigDecimal` | `getBigDecimal(int column)` JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object with full precision.
`java.math.BigDecimal` | `getBigDecimal(int column, int scale)` Deprecated.
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName)` JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object with full precision.
`java.math.BigDecimal` | `getBigDecimal(java.lang.String columnName, int scale)` Deprecated.
`java.io.InputStream` | `getBinaryStream(int column)` Gets the value of a column in the current row as a stream of uninterpreted bytes.
`java.io.InputStream` | `getBinaryStream(java.lang.String columnName)` Gets the value of a column in the current row as a stream of uninterpreted bytes.
`java.sql.Blob` | `getBlob(int column)` JDBC 2.0 Gets a BLOB value in the current row of this `ResultSet` object.
`java.sql.Blob` | `getBlob(java.lang.String columnName)` JDBC 2.0 Gets a BLOB value in the current row of this `ResultSet` object.
`boolean` | `getBoolean(int column)` Gets the value of a column in the current row as a Java boolean.
`boolean` | `getBoolean(java.lang.String columnName)` Gets the value of a column in the current row as a Java boolean.
`byte` | `getByte(int column)` Gets the value of a column in the current row as a Java byte.
`byte` | `getByte(java.lang.String columnName)` Gets the value of a column in the current row as a Java byte.
`byte[]` | `getBytes(int column)` Gets the value of a column in the current row as a Java byte array.
`byte[]` | `getBytes(java.lang.String columnName)` Gets the value of a column in the current row as a Java byte array.
`java.lang.String` | `getCatalogName(int column)` ResultSetMetaData: Gets a column's table's catalog name.
`java.io.Reader` | `getCharacterStream(int column)` JDBC 2.0
`java.io.Reader` | `getCharacterStream(java.lang.String columnName)` JDBC 2.0
`java.sql.Clob` | `getClob(int column)` JDBC 2.0 Gets a CLOB value in the current row of this `ResultSet` object.
`java.sql.Clob` | `getClob(java.lang.String columnName)` JDBC 2.0 Gets a CLOB value in the current row of this `ResultSet` object.
`java.lang.String` | `getColumnClassName(int column)` ResultSetMetaData: JDBC 2.0
`int` | `getColumnCount()` ResultSetMetaData: Returns the number of columns in this ResultSet.
`int` | `getColumnDisplaySize(int column)` ResultSetMetaData: Indicates the column's normal max width in chars.
`java.lang.String` | `getColumnLabel(int column)` ResultSetMetaData: Gets the suggested column title for use in printouts and displays.
`java.lang.String` | `getColumnName(int column)` ResultSetMetaData: Gets a column's name.
`int` | `getColumnType(int column)` ResultSetMetaData: Retrieves a column's SQL type.
`java.lang.String` | `getColumnTypeName(int column)` ResultSetMetaData: Retrieves a column's database-specific type name.
`int` | `getConcurrency()` JDBC 2.0 Returns the concurrency mode of this result set.
`java.lang.String` | `getCursorName()` Gets the name of the SQL cursor used by this ResultSet.
`java.sql.Date` | `getDate(int column)` Gets the value of a column in the current row as a java.sql.Date object.
`java.sql.Date` | `getDate(int column, java.util.Calendar cal)` JDBC 2.0 Gets the value of a column in the current row as a java.sql.Date object.
`java.sql.Date` | `getDate(java.lang.String columnName)` Gets the value of a column in the current row as a java.sql.Date object.
`java.sql.Date` | `getDate(java.lang.String columnName, java.util.Calendar cal)` Gets the value of a column in the current row as a java.sql.Date object.
`double` | `getDouble(int column)` Gets the value of a column in the current row as a Java double.
`double` | `getDouble(java.lang.String columnName)` Gets the value of a column in the current row as a Java double.
`int` | `getFetchDirection()` JDBC 2.0 Returns the fetch direction for this result set.
`int` | `getFetchSize()` JDBC 2.0 Returns the fetch size for this result set.
`float` | `getFloat(int column)` Gets the value of a column in the current row as a Java float.
`float` | `getFloat(java.lang.String columnName)` Gets the value of a column in the current row as a Java float.
`int` | `getInt(int column)` Gets the value of a column in the current row as a Java int.
`int` | `getInt(java.lang.String columnName)` Gets the value of a column in the current row as a Java int.
`long` | `getLong(int column)` Gets the value of a column in the current row as a Java long.
`long` | `getLong(java.lang.String columnName)` Gets the value of a column in the current row as a Java long.
`java.sql.ResultSetMetaData` | `getMetaData()` Retrieves the number, types and properties of a ResultSet's columns.
`java.lang.Object` | `getObject(int column)` Gets the value of a column in the current row as a Java object.
`java.lang.Object` | `getObject(int column, java.util.Map map)` JDBC 2.0 Returns the value of a column in the current row as a Java object.
`java.lang.Object` | `getObject(java.lang.String columnName)` Gets the value of a column in the current row as a Java object.
`java.lang.Object` | `getObject(java.lang.String columnName, java.util.Map map)` JDBC 2.0 Returns the value in the specified column as a Java object.
`int` | `getPrecision(int column)` ResultSetMetaData: Gets a column's number of decimal digits.
`java.sql.Ref` | `getRef(int column)` JDBC 2.0 Gets a REF(<structured-type>) column value from the current row.
`java.sql.Ref` | `getRef(java.lang.String columnName)` JDBC 2.0 Gets a REF(<structured-type>) column value from the current row.
`int` | `getRow()` JDBC 2.0
`int` | `getScale(int column)` ResultSetMetaData: Gets a column's number of digits to right of the decimal point.
`java.lang.String` | `getSchemaName(int column)` ResultSetMetaData: Gets a column's table's schema.
`short` | `getShort(int column)` Gets the value of a column in the current row as a Java short.
`short` | `getShort(java.lang.String columnName)` Gets the value of a column in the current row as a Java short.
`java.sql.Statement` | `getStatement()` JDBC 2.0 Returns the Statement that produced this `ResultSet` object.
`java.lang.String` | `getString(int column)` Gets the value of a column in the current row as a Java String.
`java.lang.String` | `getString(java.lang.String columnName)` Gets the value of a column in the current row as a Java String.
`java.lang.String` | `getTableName(int column)` ResultSetMetaData: Gets a column's table name.
`java.sql.Time` | `getTime(int column)` Gets the value of a column in the current row as a java.sql.Time object.
`java.sql.Time` | `getTime(int column, java.util.Calendar cal)` Gets the value of a column in the current row as a java.sql.Time object.
`java.sql.Time` | `getTime(java.lang.String columnName)` Gets the value of a column in the current row as a java.sql.Time object.
`java.sql.Time` | `getTime(java.lang.String columnName, java.util.Calendar cal)` Gets the value of a column in the current row as a java.sql.Time object.
`java.sql.Timestamp` | `getTimestamp(int column)` Gets the value of a column in the current row as a java.sql.Timestamp object.
`java.sql.Timestamp` | `getTimestamp(int column, java.util.Calendar cal)` Gets the value of a column in the current row as a java.sql.Timestamp object.
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName)` Gets the value of a column in the current row as a java.sql.Timestamp object.
`java.sql.Timestamp` | `getTimestamp(java.lang.String columnName, java.util.Calendar cal)` Gets the value of a column in the current row as a java.sql.Timestamp object.
`int` | `getType()` JDBC 2.0 Returns the type of this result set.
`java.io.InputStream` | `getUnicodeStream(int column)` Deprecated.
`java.io.InputStream` | `getUnicodeStream(java.lang.String columnName)` Deprecated.
`(package private) int` | `getUpdateCount()` Method declaration
`java.sql.SQLWarning` | `getWarnings()` The first warning reported by calls on this ResultSet is returned.
`void` | `insertRow()` JDBC 2.0 Inserts the contents of the insert row into the result set and the database.
`boolean` | `isAfterLast()` JDBC 2.0
`boolean` | `isAutoIncrement(int column)` ResultSetMetaData: Indicates whether the column is automatically numbered, thus read-only.
`boolean` | `isBeforeFirst()` JDBC 2.0
`boolean` | `isCaseSensitive(int column)` ResultSetMetaData: Indicates whether a column's case matters.
`boolean` | `isCurrency(int column)` ResultSetMetaData: Indicates whether the column is a cash value.
`boolean` | `isDefinitelyWritable(int column)` ResultSetMetaData: Indicates whether a write on the column will definitely succeed.
`boolean` | `isFirst()` JDBC 2.0
`boolean` | `isLast()` JDBC 2.0
`int` | `isNullable(int column)` ResultSetMetaData: Indicates the nullability of values in the designated column.
`boolean` | `isReadOnly(int column)` ResultSetMetaData: Indicates whether a column is definitely not writable.
`(package private) boolean` | `isResult()` Method declaration
`boolean` | `isSearchable(int column)` ResultSetMetaData: Indicates whether the column can be used in a where clause.
`boolean` | `isSigned(int column)` ResultSetMetaData: Indicates whether values in the column are signed numbers.
`boolean` | `isWritable(int column)` ResultSetMetaData: Indicates whether it is possible for a write on the column to succeed.
`boolean` | `last()` JDBC 2.0
`void` | `moveToCurrentRow()` JDBC 2.0 Moves the cursor to the remembered cursor position, usually the current row.
`void` | `moveToInsertRow()` JDBC 2.0 Moves the cursor to the insert row.
`boolean` | `next()` Moves the cursor down one row from its current position.
`boolean` | `previous()` JDBC 2.0
`void` | `refreshRow()` JDBC 2.0 Refreshes the current row with its most recent value in the database.
`boolean` | `relative(int rows)` JDBC 2.0
`boolean` | `rowDeleted()` JDBC 2.0 Indicates whether a row has been deleted.
`boolean` | `rowInserted()` JDBC 2.0 Indicates whether the current row has had an insertion.
`boolean` | `rowUpdated()` JDBC 2.0 Indicates whether the current row has been updated.
`void` | `setFetchDirection(int direction)` JDBC 2.0 Gives a hint as to the direction in which the rows in this result set will be processed.
`void` | `setFetchSize(int rows)` JDBC 2.0 Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this result set.
`void` | `updateAsciiStream(int column, java.io.InputStream x, int length)` Method declaration
`void` | `updateAsciiStream(java.lang.String columnName, java.io.InputStream x, int length)` Method declaration
`void` | `updateBigDecimal(int column, java.math.BigDecimal x)` Method declaration
`void` | `updateBigDecimal(java.lang.String columnName, java.math.BigDecimal x)` Method declaration
`void` | `updateBinaryStream(int column, java.io.InputStream x, int length)` Method declaration
`void` | `updateBinaryStream(java.lang.String columnName, java.io.InputStream x, int length)` Method declaration
`void` | `updateBoolean(int column, boolean x)` Method declaration
`void` | `updateBoolean(java.lang.String columnName, boolean x)` Method declaration
`void` | `updateByte(int column, byte x)` Method declaration
`void` | `updateByte(java.lang.String columnName, byte x)` Method declaration
`void` | `updateBytes(int column, byte[] x)` Method declaration
`void` | `updateBytes(java.lang.String columnName, byte[] x)` Method declaration
`void` | `updateCharacterStream(int column, java.io.Reader x, int length)` Method declaration
`void` | `updateCharacterStream(java.lang.String columnName, java.io.Reader x, int length)` Method declaration
`void` | `updateDate(int column, java.sql.Date x)` Method declaration
`void` | `updateDate(java.lang.String columnName, java.sql.Date x)` Method declaration
`void` | `updateDouble(int column, double x)` Method declaration
`void` | `updateDouble(java.lang.String columnName, double x)` Method declaration
`void` | `updateFloat(int column, float x)` Method declaration
`void` | `updateFloat(java.lang.String columnName, float x)` Method declaration
`void` | `updateInt(int column, int x)` Method declaration
`void` | `updateInt(java.lang.String columnName, int x)` Method declaration
`void` | `updateLong(int column, long x)` Method declaration
`void` | `updateLong(java.lang.String columnName, long x)` Method declaration
`void` | `updateNull(int column)` Method declaration
`void` | `updateNull(java.lang.String columnName)` Method declaration
`void` | `updateObject(int column, java.lang.Object x)` Method declaration
`void` | `updateObject(int column, java.lang.Object x, int scale)` Method declaration
`void` | `updateObject(java.lang.String columnName, java.lang.Object x)` Method declaration
`void` | `updateObject(java.lang.String columnName, java.lang.Object x, int scale)` Method declaration
`void` | `updateRow()` JDBC 2.0 Updates the underlying database with the new contents of the current row.
`void` | `updateShort(int column, short x)` Method declaration
`void` | `updateShort(java.lang.String columnName, short x)` Method declaration
`void` | `updateString(int column, java.lang.String x)` Method declaration
`void` | `updateString(java.lang.String columnName, java.lang.String x)` Method declaration
`void` | `updateTime(int column, java.sql.Time x)` Method declaration
`void` | `updateTime(java.lang.String columnName, java.sql.Time x)` Method declaration
`void` | `updateTimestamp(int column, java.sql.Timestamp x)` Method declaration
`void` | `updateTimestamp(java.lang.String columnName, java.sql.Timestamp x)` Method declaration
`boolean` | `wasNull()` Reports whether the last column read had a value of SQL NULL.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### jdbcResultSet

    jdbcResultSet(Result r)
            throws java.sql.SQLException

  Constructor declaration
  Parameters:
    `r` -

Method Detail

### next

    public boolean next()
                 throws java.sql.SQLException

  Moves the cursor down one row from its current position. A ResultSet cursor is initially positioned before the first row; the first call to next makes the first row the current row; the second call makes the second row the current row, and so on.

  If an input stream is open for the current row, a call to the method `next` will implicitly close it. The ResultSet's warning chain is cleared when a new row is read.

  Specified by:
    next in interface java.sql.ResultSet
  Returns:
    true if the new current row is valid; false if there are no more rows

### close

    public void close()

  Releases this `ResultSet` object's database and JDBC resources immediately instead of waiting for this to happen when it is automatically closed.

  Note: A ResultSet is automatically closed by the Statement that generated it when that Statement is closed, re-executed, or is used to retrieve the next result from a sequence of multiple results. A ResultSet is also automatically closed when it is garbage collected.

  Specified by:
    close in interface java.sql.ResultSet

### wasNull

    public boolean wasNull()

  Reports whether the last column read had a value of SQL NULL. Note that you must first call getXXX on a column to try to read its value and then call wasNull() to see if the value read was SQL NULL.
  Specified by:
    wasNull in interface java.sql.ResultSet
  Returns:
    true if last column read was SQL NULL and false otherwise

### findColumn

    public int findColumn(java.lang.String columnName)
                   throws java.sql.SQLException

  Maps the given Resultset column name to its ResultSet column index.
  Specified by:
    findColumn in interface java.sql.ResultSet
  Parameters:
    `columnName` - the name of the column
  Returns:
    the column index
  Throws:
    java.sql.SQLException - if a database access error occurs

### getString

    public java.lang.String getString(int column)
                               throws java.sql.SQLException

  Gets the value of a column in the current row as a Java String.
  Specified by:
    getString in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getBoolean

    public boolean getBoolean(int column)
                       throws java.sql.SQLException

  Gets the value of a column in the current row as a Java boolean.
  Specified by:
    getBoolean in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is false
  Throws:
    java.sql.SQLException - if a database access error occurs

### getByte

    public byte getByte(int column)
                 throws java.sql.SQLException

  Gets the value of a column in the current row as a Java byte.
  Specified by:
    getByte in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getShort

    public short getShort(int column)
                   throws java.sql.SQLException

  Gets the value of a column in the current row as a Java short.
  Specified by:
    getShort in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getInt

    public int getInt(int column)
               throws java.sql.SQLException

  Gets the value of a column in the current row as a Java int.
  Specified by:
    getInt in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getLong

    public long getLong(int column)
                 throws java.sql.SQLException

  Gets the value of a column in the current row as a Java long.
  Specified by:
    getLong in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getFloat

    public float getFloat(int column)
                   throws java.sql.SQLException

  Gets the value of a column in the current row as a Java float.
  Specified by:
    getFloat in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getDouble

    public double getDouble(int column)
                     throws java.sql.SQLException

  Gets the value of a column in the current row as a Java double.
  Specified by:
    getDouble in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int column,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated.

  Gets the value of a column in the current row as a java.math.BigDecimal object.
  Specified by:
    getBigDecimal in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
    `scale` - the number of digits to the right of the decimal
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getBytes

    public byte[] getBytes(int column)
                    throws java.sql.SQLException

  Gets the value of a column in the current row as a Java byte array. The bytes represent the raw values returned by the driver.
  Specified by:
    getBytes in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getDate

    public java.sql.Date getDate(int column)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Date object.
  Specified by:
    getDate in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getTime

    public java.sql.Time getTime(int column)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Time object.
  Specified by:
    getTime in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getTimestamp

    public java.sql.Timestamp getTimestamp(int column)
                                    throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Timestamp object.
  Specified by:
    getTimestamp in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getAsciiStream

    public java.io.InputStream getAsciiStream(int column)
                                       throws java.sql.SQLException

  Gets the value of a column in the current row as a stream of ASCII characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into ASCII.

  Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. Also, a stream may return 0 when the method `available` is called whether there is data available or not.

  Specified by:
    getAsciiStream in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    a Java input stream that delivers the database column value as a stream of one byte ASCII characters. If the value is SQL NULL then the result is null.
  Throws:
    java.sql.SQLException - if a database access error occurs

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(int column)
                                         throws java.sql.SQLException

  Deprecated.

  Gets the value of a column in the current row as a stream of Unicode characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into Unicode. The byte format of the Unicode stream must Java UTF-8, as specified in the Java Virtual Machine Specification.

  Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. Also, a stream may return 0 when the method `available` is called whether there is data available or not.

  Specified by:
    getUnicodeStream in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    a Java input stream that delivers the database column value as a stream of two-byte Unicode characters. If the value is SQL NULL then the result is null.
  Throws:
    java.sql.SQLException - if a database access error occurs

### getBinaryStream

    public java.io.InputStream getBinaryStream(int column)
                                        throws java.sql.SQLException

  Gets the value of a column in the current row as a stream of uninterpreted bytes. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARBINARY values.

  Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. Also, a stream may return 0 when the method `available` is called whether there is data available or not.

  Specified by:
    getBinaryStream in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    a Java input stream that delivers the database column value as a stream of uninterpreted bytes. If the value is SQL NULL then the result is null.
  Throws:
    java.sql.SQLException - if a database access error occurs

### getString

    public java.lang.String getString(java.lang.String columnName)
                               throws java.sql.SQLException

  Gets the value of a column in the current row as a Java String.
  Specified by:
    getString in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getBoolean

    public boolean getBoolean(java.lang.String columnName)
                       throws java.sql.SQLException

  Gets the value of a column in the current row as a Java boolean.
  Specified by:
    getBoolean in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is false
  Throws:
    java.sql.SQLException - if a database access error occurs

### getByte

    public byte getByte(java.lang.String columnName)
                 throws java.sql.SQLException

  Gets the value of a column in the current row as a Java byte.
  Specified by:
    getByte in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getShort

    public short getShort(java.lang.String columnName)
                   throws java.sql.SQLException

  Gets the value of a column in the current row as a Java short.
  Specified by:
    getShort in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getInt

    public int getInt(java.lang.String columnName)
               throws java.sql.SQLException

  Gets the value of a column in the current row as a Java int.
  Specified by:
    getInt in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getLong

    public long getLong(java.lang.String columnName)
                 throws java.sql.SQLException

  Gets the value of a column in the current row as a Java long.
  Specified by:
    getLong in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getFloat

    public float getFloat(java.lang.String columnName)
                   throws java.sql.SQLException

  Gets the value of a column in the current row as a Java float.
  Specified by:
    getFloat in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getDouble

    public double getDouble(java.lang.String columnName)
                     throws java.sql.SQLException

  Gets the value of a column in the current row as a Java double.
  Specified by:
    getDouble in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is 0
  Throws:
    java.sql.SQLException - if a database access error occurs

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName,
                                              int scale)
                                       throws java.sql.SQLException

  Deprecated.

  Gets the value of a column in the current row as a java.math.BigDecimal object.
  Specified by:
    getBigDecimal in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
    `scale` - the number of digits to the right of the decimal
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getBytes

    public byte[] getBytes(java.lang.String columnName)
                    throws java.sql.SQLException

  Gets the value of a column in the current row as a Java byte array. The bytes represent the raw values returned by the driver.
  Specified by:
    getBytes in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getDate

    public java.sql.Date getDate(java.lang.String columnName)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Date object.
  Specified by:
    getDate in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getTime

    public java.sql.Time getTime(java.lang.String columnName)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Time object.
  Specified by:
    getTime in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName)
                                    throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Timestamp object.
  Specified by:
    getTimestamp in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String columnName)
                                       throws java.sql.SQLException

  Gets the value of a column in the current row as a stream of ASCII characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into ASCII.

  Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. Also, a stream may return 0 when the method `available` is called whether there is data available or not.

  Specified by:
    getAsciiStream in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    a Java input stream that delivers the database column value as a stream of one byte ASCII characters. If the value is SQL NULL then the result is null.
  Throws:
    java.sql.SQLException - if a database access error occurs

### getUnicodeStream

    public java.io.InputStream getUnicodeStream(java.lang.String columnName)
                                         throws java.sql.SQLException

  Deprecated.

  Gets the value of a column in the current row as a stream of Unicode characters. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARCHAR values. The JDBC driver will do any necessary conversion from the database format into Unicode. The byte format of the Unicode stream must be Java UTF-8, as defined in the Java Virtual Machine Specification.

  Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. Also, a stream may return 0 when the method `available` is called whether there is data available or not.

  Specified by:
    getUnicodeStream in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    a Java input stream that delivers the database column value as a stream of two-byte Unicode characters. If the value is SQL NULL then the result is null.
  Throws:
    java.sql.SQLException - if a database access error occurs

### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String columnName)
                                        throws java.sql.SQLException

  Gets the value of a column in the current row as a stream of uninterpreted bytes. The value can then be read in chunks from the stream. This method is particularly suitable for retrieving large LONGVARBINARY values. The JDBC driver will do any necessary conversion from the database format into uninterpreted bytes.

  Note: All the data in the returned stream must be read prior to getting the value of any other column. The next call to a get method implicitly closes the stream. Also, a stream may return 0 when the method `available` is called whether there is data available or not.

  Specified by:
    getBinaryStream in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    a Java input stream that delivers the database column value as a stream of uninterpreted bytes. If the value is SQL NULL then the result is null.
  Throws:
    java.sql.SQLException - if a database access error occurs

### getWarnings

    public java.sql.SQLWarning getWarnings()

  The first warning reported by calls on this ResultSet is returned. Subsequent ResultSet warnings will be chained to this SQLWarning.

  The warning chain is automatically cleared each time a new row is read.

  Note: This warning chain only covers warnings caused by ResultSet methods. Any warning caused by statement methods (such as reading OUT parameters) will be chained on the Statement object.

  HSQL Database Engine never produces warnings and returns always null.

  Specified by:
    getWarnings in interface java.sql.ResultSet
  Returns:
    the first SQLWarning or null

### clearWarnings

    public void clearWarnings()

  After this call getWarnings returns null until a new warning is reported for this ResultSet.
  Specified by:
    clearWarnings in interface java.sql.ResultSet

### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

  Gets the name of the SQL cursor used by this ResultSet.

  In SQL, a result table is retrieved through a cursor that is named. The current row of a result can be updated or deleted using a positioned update/delete statement that references the cursor name. To insure that the cursor has the proper isolation level to support update, the cursor's select statement should be of the form 'select for update'. If the 'for update' clause is omitted the positioned updates may fail.

  JDBC supports this SQL feature by providing the name of the SQL cursor used by a ResultSet. The current row of a ResultSet is also the current row of this SQL cursor.

  Note: If positioned update is not supported a SQLException is thrown

  Specified by:
    getCursorName in interface java.sql.ResultSet
  Returns:
    the ResultSet's SQL cursor name
  Throws:
    java.sql.SQLException - if a database access error occurs

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Retrieves the number, types and properties of a ResultSet's columns.

  HSQL Database Engine implements both the ResultSet and the ResultSetMetaData interface in the class jdbcResultSet, so this function will return the same Object. It is required to call this function to conform the JDBC standard. Other drivers have the ResultSetMetaData in a different class.

  Specified by:
    getMetaData in interface java.sql.ResultSet
  Returns:
    the description of a ResultSet's columns
  Throws:
    java.sql.SQLException - if a database access error occurs

### getObject

    public java.lang.Object getObject(java.lang.String columnName)
                               throws java.sql.SQLException

  Gets the value of a column in the current row as a Java object.

  This method will return the value of the given column as a Java object. The type of the Java object will be the default Java object type corresponding to the column's SQL type, following the mapping for built-in types specified in the JDBC spec.

  This method may also be used to read datatabase-specific abstract data types. JDBC 2.0 In the JDBC 2.0 API, the behavior of method `getObject` is extended to materialize data of SQL user-defined types. When the a column contains a structured or distinct value, the behavior of this method is as if it were a call to: getObject(columnIndex, this.getStatement().getConnection().getTypeMap()).

  Specified by:
    getObject in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    a java.lang.Object holding the column value
  Throws:
    java.sql.SQLException - if a database access error occurs

### getObject

    public java.lang.Object getObject(int column)
                               throws java.sql.SQLException

  Gets the value of a column in the current row as a Java object.

  This method will return the value of the given column as a Java object. The type of the Java object will be the default Java object type corresponding to the column's SQL type, following the mapping for built-in types specified in the JDBC spec.

  This method may also be used to read datatabase-specific abstract data types. JDBC 2.0 In the JDBC 2.0 API, the behavior of method `getObject` is extended to materialize data of SQL user-defined types. When the a column contains a structured or distinct value, the behavior of this method is as if it were a call to: getObject(columnIndex, this.getStatement().getConnection().getTypeMap()).

  Specified by:
    getObject in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
  Returns:
    a java.lang.Object holding the column value.
  Throws:
    java.sql.SQLException - if a database access error occurs

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String columnName)
                                      throws java.sql.SQLException

  JDBC 2.0

  Gets the value of a column in the current row as a java.io.Reader.

  Specified by:
    getCharacterStream in interface java.sql.ResultSet
  Parameters:
    `columnName` - the name of the column
  Returns:
    the value in the specified column as a `java.io.Reader`

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int column)
                                       throws java.sql.SQLException

  JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object with full precision.
  Specified by:
    getBigDecimal in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
  Returns:
    the column value (full precision); if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String columnName)
                                       throws java.sql.SQLException

  JDBC 2.0 Gets the value of a column in the current row as a java.math.BigDecimal object with full precision.
  Specified by:
    getBigDecimal in interface java.sql.ResultSet
  Parameters:
    `columnName` - the column name
  Returns:
    the column value (full precision); if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### isBeforeFirst

    public boolean isBeforeFirst()

  JDBC 2.0

  Indicates whether the cursor is before the first row in the result set.

  Specified by:
    isBeforeFirst in interface java.sql.ResultSet
  Returns:
    true if the cursor is before the first row, false otherwise. Returns false when the result set contains no rows.

### isAfterLast

    public boolean isAfterLast()

  JDBC 2.0

  Indicates whether the cursor is after the last row in the result set.

  Specified by:
    isAfterLast in interface java.sql.ResultSet
  Returns:
    true if the cursor is after the last row, false otherwise. Returns false when the result set contains no rows.

### isFirst

    public boolean isFirst()

  JDBC 2.0

  Indicates whether the cursor is on the first row of the result set.

  Specified by:
    isFirst in interface java.sql.ResultSet
  Returns:
    true if the cursor is on the first row, false otherwise.

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  JDBC 2.0

  Indicates whether the cursor is on the last row of the result set. Note: Calling the method `isLast` may be expensive because the JDBC driver might need to fetch ahead one row in order to determine whether the current row is the last row in the result set.

  Specified by:
    isLast in interface java.sql.ResultSet
  Returns:
    true if the cursor is on the last row, false otherwise.
  Throws:
    java.sql.SQLException - if a database access error occurs

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  JDBC 2.0

  Moves the cursor to the front of the result set, just before the first row. Has no effect if the result set contains no rows.

  Specified by:
    beforeFirst in interface java.sql.ResultSet
  Throws:
    java.sql.SQLException - if a database access error occurs or the result set type is TYPE_FORWARD_ONLY

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  JDBC 2.0

  Moves the cursor to the end of the result set, just after the last row. Has no effect if the result set contains no rows.

  Specified by:
    afterLast in interface java.sql.ResultSet
  Throws:
    java.sql.SQLException - if a database access error occurs or the result set type is TYPE_FORWARD_ONLY

### first

    public boolean first()
                  throws java.sql.SQLException

  JDBC 2.0

  Moves the cursor to the first row in the result set.

  Specified by:
    first in interface java.sql.ResultSet
  Returns:
    true if the cursor is on a valid row; false if there are no rows in the result set
  Throws:
    java.sql.SQLException - if a database access error occurs or the result set type is TYPE_FORWARD_ONLY

### last

    public boolean last()
                 throws java.sql.SQLException

  JDBC 2.0

  Moves the cursor to the last row in the result set.

  Specified by:
    last in interface java.sql.ResultSet
  Returns:
    true if the cursor is on a valid row; false if there are no rows in the result set
  Throws:
    java.sql.SQLException - if a database access error occurs or the result set type is TYPE_FORWARD_ONLY.

### getRow

    public int getRow()

  JDBC 2.0

  Retrieves the current row number. The first row is number 1, the second number 2, and so on.

  Specified by:
    getRow in interface java.sql.ResultSet
  Returns:
    the current row number; 0 if there is no current row

### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

  JDBC 2.0

  Moves the cursor to the given row number in the result set.

  If the row number is positive, the cursor moves to the given row number with respect to the beginning of the result set. The first row is row 1, the second is row 2, and so on.

  If the given row number is negative, the cursor moves to an absolute row position with respect to the end of the result set. For example, calling `absolute(-1)` positions the cursor on the last row, `absolute(-2)` indicates the next-to-last row, and so on.

  An attempt to position the cursor beyond the first/last row in the result set leaves the cursor before/after the first/last row, respectively.

  Note: Calling `absolute(1)` is the same as calling `first()`. Calling `absolute(-1)` is the same as calling `last()`.

  Specified by:
    absolute in interface java.sql.ResultSet
  Returns:
    true if the cursor is on the result set; false otherwise
  Throws:
    java.sql.SQLException - if a database access error occurs or row is 0, or result set type is TYPE_FORWARD_ONLY.

### relative

    public boolean relative(int rows)
                     throws java.sql.SQLException

  JDBC 2.0

  Moves the cursor a relative number of rows, either positive or negative. Attempting to move beyond the first/last row in the result set positions the cursor before/after the the first/last row. Calling `relative(0)` is valid, but does not change the cursor position.

  Note: Calling `relative(1)` is different from calling `next()` because is makes sense to call `next()` when there is no current row, for example, when the cursor is positioned before the first row or after the last row of the result set.

  Specified by:
    relative in interface java.sql.ResultSet
  Returns:
    true if the cursor is on a row; false otherwise
  Throws:
    java.sql.SQLException - if a database access error occurs, there is no current row, or the result set type is TYPE_FORWARD_ONLY

### previous

    public boolean previous()
                     throws java.sql.SQLException

  JDBC 2.0

  Moves the cursor to the previous row in the result set.

  Note: `previous()` is not the same as `relative(-1)` because it makes sense to callprevious() when there is no current row.

  Specified by:
    previous in interface java.sql.ResultSet
  Returns:
    true if the cursor is on a valid row; false if it is off the result set
  Throws:
    java.sql.SQLException - if a database access error occurs or the result set type is TYPE_FORWARD_ONLY

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  JDBC 2.0 Gives a hint as to the direction in which the rows in this result set will be processed. The initial value is determined by the statement that produced the result set. The fetch direction may be changed at any time.
  Specified by:
    setFetchDirection in interface java.sql.ResultSet
  Throws:
    java.sql.SQLException - if a database access error occurs or the result set type is TYPE_FORWARD_ONLY and the fetch direction is not FETCH_FORWARD.

### getFetchDirection

    public int getFetchDirection()

  JDBC 2.0 Returns the fetch direction for this result set.
  Specified by:
    getFetchDirection in interface java.sql.ResultSet
  Returns:
    the current fetch direction for this result set

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  JDBC 2.0 Gives the JDBC driver a hint as to the number of rows that should be fetched from the database when more rows are needed for this result set. If the fetch size specified is zero, the JDBC driver ignores the value and is free to make its own best guess as to what the fetch size should be. The default value is set by the statement that created the result set. The fetch size may be changed at any time.
  Specified by:
    setFetchSize in interface java.sql.ResultSet
  Parameters:
    `rows` - the number of rows to fetch
  Throws:
    java.sql.SQLException - if a database access error occurs or the condition 0 <= rows <= this.getMaxRows() is not satisfied.

### getFetchSize

    public int getFetchSize()

  JDBC 2.0 Returns the fetch size for this result set.
  Specified by:
    getFetchSize in interface java.sql.ResultSet
  Returns:
    the current fetch size for this result set

### getType

    public int getType()

  JDBC 2.0 Returns the type of this result set. The type is determined by the statement that created the result set.
  Specified by:
    getType in interface java.sql.ResultSet
  Returns:
    TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, or TYPE_SCROLL_SENSITIVE

### getConcurrency

    public int getConcurrency()

  JDBC 2.0 Returns the concurrency mode of this result set. The concurrency used is determined by the statement that created the result set.
  Specified by:
    getConcurrency in interface java.sql.ResultSet
  Returns:
    the concurrency type, CONCUR_READ_ONLY or CONCUR_UPDATABLE

### rowUpdated

    public boolean rowUpdated()

  JDBC 2.0 Indicates whether the current row has been updated. The value returned depends on whether or not the result set can detect updates.
  Specified by:
    rowUpdated in interface java.sql.ResultSet
  Returns:
    true if the row has been visibly updated by the owner or another, and updates are detected
  See Also:
    `DatabaseMetaData.updatesAreDetected(int)`

### rowInserted

    public boolean rowInserted()

  JDBC 2.0 Indicates whether the current row has had an insertion. The value returned depends on whether or not the result set can detect visible inserts.
  Specified by:
    rowInserted in interface java.sql.ResultSet
  Returns:
    true if a row has had an insertion and insertions are detected
  See Also:
    `DatabaseMetaData.insertsAreDetected(int)`

### rowDeleted

    public boolean rowDeleted()

  JDBC 2.0 Indicates whether a row has been deleted. A deleted row may leave a visible "hole" in a result set. This method can be used to detect holes in a result set. The value returned depends on whether or not the result set can detect deletions.
  Specified by:
    rowDeleted in interface java.sql.ResultSet
  Returns:
    true if a row was deleted and deletions are detected
  See Also:
    `DatabaseMetaData.deletesAreDetected(int)`

### updateNull

    public void updateNull(int column)
                    throws java.sql.SQLException

  Method declaration
  Specified by:
    updateNull in interface java.sql.ResultSet
  Parameters:
    `column` -
  Throws:
    java.sql.SQLException -

### updateBoolean

    public void updateBoolean(int column,
                              boolean x)
                       throws java.sql.SQLException

  Method declaration
  Specified by:
    updateBoolean in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateByte

    public void updateByte(int column,
                           byte x)
                    throws java.sql.SQLException

  Method declaration
  Specified by:
    updateByte in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateShort

    public void updateShort(int column,
                            short x)
                     throws java.sql.SQLException

  Method declaration
  Specified by:
    updateShort in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateInt

    public void updateInt(int column,
                          int x)
                   throws java.sql.SQLException

  Method declaration
  Specified by:
    updateInt in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateLong

    public void updateLong(int column,
                           long x)
                    throws java.sql.SQLException

  Method declaration
  Specified by:
    updateLong in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateFloat

    public void updateFloat(int column,
                            float x)
                     throws java.sql.SQLException

  Method declaration
  Specified by:
    updateFloat in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateDouble

    public void updateDouble(int column,
                             double x)
                      throws java.sql.SQLException

  Method declaration
  Specified by:
    updateDouble in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateBigDecimal

    public void updateBigDecimal(int column,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Method declaration
  Specified by:
    updateBigDecimal in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateString

    public void updateString(int column,
                             java.lang.String x)
                      throws java.sql.SQLException

  Method declaration
  Specified by:
    updateString in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateBytes

    public void updateBytes(int column,
                            byte[] x)
                     throws java.sql.SQLException

  Method declaration
  Specified by:
    updateBytes in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateDate

    public void updateDate(int column,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Method declaration
  Specified by:
    updateDate in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateTime

    public void updateTime(int column,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Method declaration
  Specified by:
    updateTime in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateTimestamp

    public void updateTimestamp(int column,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Method declaration
  Specified by:
    updateTimestamp in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateAsciiStream

    public void updateAsciiStream(int column,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Method declaration
  Specified by:
    updateAsciiStream in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
    `length` -
  Throws:
    java.sql.SQLException -

### updateBinaryStream

    public void updateBinaryStream(int column,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Method declaration
  Specified by:
    updateBinaryStream in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
    `length` -
  Throws:
    java.sql.SQLException -

### updateCharacterStream

    public void updateCharacterStream(int column,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  Method declaration
  Specified by:
    updateCharacterStream in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
    `length` -
  Throws:
    java.sql.SQLException -

### updateObject

    public void updateObject(int column,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Method declaration
  Specified by:
    updateObject in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
    `scale` -
  Throws:
    java.sql.SQLException -

### updateObject

    public void updateObject(int column,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Method declaration
  Specified by:
    updateObject in interface java.sql.ResultSet
  Parameters:
    `column` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateNull

    public void updateNull(java.lang.String columnName)
                    throws java.sql.SQLException

  Method declaration
  Specified by:
    updateNull in interface java.sql.ResultSet
  Parameters:
    `columnName` -
  Throws:
    java.sql.SQLException -

### updateBoolean

    public void updateBoolean(java.lang.String columnName,
                              boolean x)
                       throws java.sql.SQLException

  Method declaration
  Specified by:
    updateBoolean in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateByte

    public void updateByte(java.lang.String columnName,
                           byte x)
                    throws java.sql.SQLException

  Method declaration
  Specified by:
    updateByte in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateShort

    public void updateShort(java.lang.String columnName,
                            short x)
                     throws java.sql.SQLException

  Method declaration
  Specified by:
    updateShort in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateInt

    public void updateInt(java.lang.String columnName,
                          int x)
                   throws java.sql.SQLException

  Method declaration
  Specified by:
    updateInt in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateLong

    public void updateLong(java.lang.String columnName,
                           long x)
                    throws java.sql.SQLException

  Method declaration
  Specified by:
    updateLong in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateFloat

    public void updateFloat(java.lang.String columnName,
                            float x)
                     throws java.sql.SQLException

  Method declaration
  Specified by:
    updateFloat in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateDouble

    public void updateDouble(java.lang.String columnName,
                             double x)
                      throws java.sql.SQLException

  Method declaration
  Specified by:
    updateDouble in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateBigDecimal

    public void updateBigDecimal(java.lang.String columnName,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

  Method declaration
  Specified by:
    updateBigDecimal in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateString

    public void updateString(java.lang.String columnName,
                             java.lang.String x)
                      throws java.sql.SQLException

  Method declaration
  Specified by:
    updateString in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateBytes

    public void updateBytes(java.lang.String columnName,
                            byte[] x)
                     throws java.sql.SQLException

  Method declaration
  Specified by:
    updateBytes in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateDate

    public void updateDate(java.lang.String columnName,
                           java.sql.Date x)
                    throws java.sql.SQLException

  Method declaration
  Specified by:
    updateDate in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateTime

    public void updateTime(java.lang.String columnName,
                           java.sql.Time x)
                    throws java.sql.SQLException

  Method declaration
  Specified by:
    updateTime in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateTimestamp

    public void updateTimestamp(java.lang.String columnName,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

  Method declaration
  Specified by:
    updateTimestamp in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### updateAsciiStream

    public void updateAsciiStream(java.lang.String columnName,
                                  java.io.InputStream x,
                                  int length)
                           throws java.sql.SQLException

  Method declaration
  Specified by:
    updateAsciiStream in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
    `length` -
  Throws:
    java.sql.SQLException -

### updateBinaryStream

    public void updateBinaryStream(java.lang.String columnName,
                                   java.io.InputStream x,
                                   int length)
                            throws java.sql.SQLException

  Method declaration
  Specified by:
    updateBinaryStream in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
    `length` -
  Throws:
    java.sql.SQLException -

### updateCharacterStream

    public void updateCharacterStream(java.lang.String columnName,
                                      java.io.Reader x,
                                      int length)
                               throws java.sql.SQLException

  Method declaration
  Specified by:
    updateCharacterStream in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
    `length` -
  Throws:
    java.sql.SQLException -

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

  Method declaration
  Specified by:
    updateObject in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
    `scale` -
  Throws:
    java.sql.SQLException -

### updateObject

    public void updateObject(java.lang.String columnName,
                             java.lang.Object x)
                      throws java.sql.SQLException

  Method declaration
  Specified by:
    updateObject in interface java.sql.ResultSet
  Parameters:
    `columnName` -
    `x` -
  Throws:
    java.sql.SQLException -

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  JDBC 2.0 Inserts the contents of the insert row into the result set and the database. Must be on the insert row when this method is called.
  Specified by:
    insertRow in interface java.sql.ResultSet
  Throws:
    java.sql.SQLException - if a database access error occurs, if called when not on the insert row, or if not all of non-nullable columns in the insert row have been given a value

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  JDBC 2.0 Updates the underlying database with the new contents of the current row. Cannot be called when on the insert row.
  Specified by:
    updateRow in interface java.sql.ResultSet
  Throws:
    java.sql.SQLException - if a database access error occurs or if called when on the insert row

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  JDBC 2.0 Deletes the current row from the result set and the underlying database. Cannot be called when on the insert row.
  Specified by:
    deleteRow in interface java.sql.ResultSet
  Throws:
    java.sql.SQLException - if a database access error occurs or if called when on the insert row.

### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

  JDBC 2.0 Refreshes the current row with its most recent value in the database. Cannot be called when on the insert row. The `refreshRow` method provides a way for an application to explicitly tell the JDBC driver to refetch a row(s) from the database. An application may want to call `refreshRow` when caching or prefetching is being done by the JDBC driver to fetch the latest value of a row from the database. The JDBC driver may actually refresh multiple rows at once if the fetch size is greater than one. All values are refetched subject to the transaction isolation level and cursor sensitivity. If `refreshRow` is called after calling `updateXXX`, but before calling `updateRow`, then the updates made to the row are lost. Calling the method `refreshRow` frequently will likely slow performance.
  Specified by:
    refreshRow in interface java.sql.ResultSet
  Throws:
    java.sql.SQLException - if a database access error occurs or if called when on the insert row

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  JDBC 2.0 Cancels the updates made to a row. This method may be called after calling an `updateXXX` method(s) and before calling `updateRow` to rollback the updates made to a row. If no updates have been made or `updateRow` has already been called, then this method has no effect.
  Specified by:
    cancelRowUpdates in interface java.sql.ResultSet
  Throws:
    java.sql.SQLException - if a database access error occurs or if called when on the insert row

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  JDBC 2.0 Moves the cursor to the insert row. The current cursor position is remembered while the cursor is positioned on the insert row. The insert row is a special row associated with an updatable result set. It is essentially a buffer where a new row may be constructed by calling the `updateXXX` methods prior to inserting the row into the result set. Only the `updateXXX`, `getXXX`, and `insertRow` methods may be called when the cursor is on the insert row. All of the columns in a result set must be given a value each time this method is called before calling `insertRow`. The method `updateXXX` must be called before a `getXXX` method can be called on a column value.
  Specified by:
    moveToInsertRow in interface java.sql.ResultSet
  Throws:
    java.sql.SQLException - if a database access error occurs or the result set is not updatable

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  JDBC 2.0 Moves the cursor to the remembered cursor position, usually the current row. This method has no effect if the cursor is not on the insert row.
  Specified by:
    moveToCurrentRow in interface java.sql.ResultSet
  Throws:
    java.sql.SQLException - if a database access error occurs or the result set is not updatable

### getStatement

    public java.sql.Statement getStatement()
                                    throws java.sql.SQLException

  JDBC 2.0 Returns the Statement that produced this `ResultSet` object. If the result set was generated some other way, such as by a `DatabaseMetaData` method, this method returns `null`.
  Specified by:
    getStatement in interface java.sql.ResultSet
  Returns:
    the Statment that produced the result set or null if the result set was produced some other way
  Throws:
    java.sql.SQLException - if a database access error occurs

### getObject

    public java.lang.Object getObject(int column,
                                      java.util.Map map)
                               throws java.sql.SQLException

  JDBC 2.0 Returns the value of a column in the current row as a Java object. This method uses the given `Map` object for the custom mapping of the SQL structured or distinct type that is being retrieved.
  Specified by:
    getObject in interface java.sql.ResultSet
  Parameters:
    `i` - the first column is 1, the second is 2, ...
    `map` - the mapping from SQL type names to Java classes
  Returns:
    an object representing the SQL value

### getRef

    public java.sql.Ref getRef(int column)
                        throws java.sql.SQLException

  JDBC 2.0 Gets a REF(<structured-type>) column value from the current row.
  Specified by:
    getRef in interface java.sql.ResultSet
  Parameters:
    `i` - the first column is 1, the second is 2, ...
  Returns:
    a `Ref` object representing an SQL REF value

### getBlob

    public java.sql.Blob getBlob(int column)
                          throws java.sql.SQLException

  JDBC 2.0 Gets a BLOB value in the current row of this `ResultSet` object.
  Specified by:
    getBlob in interface java.sql.ResultSet
  Parameters:
    `i` - the first column is 1, the second is 2, ...
  Returns:
    a `Blob` object representing the SQL BLOB value in the specified column

### getClob

    public java.sql.Clob getClob(int column)
                          throws java.sql.SQLException

  JDBC 2.0 Gets a CLOB value in the current row of this `ResultSet` object.
  Specified by:
    getClob in interface java.sql.ResultSet
  Parameters:
    `i` - the first column is 1, the second is 2, ...
  Returns:
    a `Clob` object representing the SQL CLOB value in the specified column

### getArray

    public java.sql.Array getArray(int column)
                            throws java.sql.SQLException

  JDBC 2.0 Gets an SQL ARRAY value from the current row of this `ResultSet` object.
  Specified by:
    getArray in interface java.sql.ResultSet
  Parameters:
    `i` - the first column is 1, the second is 2, ...
  Returns:
    an `Array` object representing the SQL ARRAY value in the specified column

### getObject

    public java.lang.Object getObject(java.lang.String columnName,
                                      java.util.Map map)
                               throws java.sql.SQLException

  JDBC 2.0 Returns the value in the specified column as a Java object. This method uses the specified `Map` object for custom mapping if appropriate.
  Specified by:
    getObject in interface java.sql.ResultSet
  Parameters:
    `colName` - the name of the column from which to retrieve the value
    `map` - the mapping from SQL type names to Java classes
  Returns:
    an object representing the SQL value in the specified column

### getRef

    public java.sql.Ref getRef(java.lang.String columnName)
                        throws java.sql.SQLException

  JDBC 2.0 Gets a REF(<structured-type>) column value from the current row.
  Specified by:
    getRef in interface java.sql.ResultSet
  Parameters:
    `colName` - the column name
  Returns:
    a `Ref` object representing the SQL REF value in the specified column

### getBlob

    public java.sql.Blob getBlob(java.lang.String columnName)
                          throws java.sql.SQLException

  JDBC 2.0 Gets a BLOB value in the current row of this `ResultSet` object.
  Specified by:
    getBlob in interface java.sql.ResultSet
  Parameters:
    `colName` - the name of the column from which to retrieve the value
  Returns:
    a `Blob` object representing the SQL BLOB value in the specified column

### getClob

    public java.sql.Clob getClob(java.lang.String columnName)
                          throws java.sql.SQLException

  JDBC 2.0 Gets a CLOB value in the current row of this `ResultSet` object.
  Specified by:
    getClob in interface java.sql.ResultSet
  Parameters:
    `colName` - the name of the column from which to retrieve the value
  Returns:
    a `Clob` object representing the SQL CLOB value in the specified column

### getArray

    public java.sql.Array getArray(java.lang.String columnName)
                            throws java.sql.SQLException

  JDBC 2.0 Gets an SQL ARRAY value in the current row of this `ResultSet` object.
  Specified by:
    getArray in interface java.sql.ResultSet
  Parameters:
    `colName` - the name of the column from which to retrieve the value
  Returns:
    an `Array` object representing the SQL ARRAY value in the specified column

### getDate

    public java.sql.Date getDate(int column,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  JDBC 2.0 Gets the value of a column in the current row as a java.sql.Date object. This method uses the given calendar to construct an appropriate millisecond value for the Date if the underlying database does not store timezone information.
  Specified by:
    getDate in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
    `cal` - the calendar to use in constructing the date
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getDate

    public java.sql.Date getDate(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Date object. This method uses the given calendar to construct an appropriate millisecond value for the Date, if the underlying database does not store timezone information.
  Specified by:
    getDate in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column from which to retrieve the value
    `cal` - the calendar to use in constructing the date
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getTime

    public java.sql.Time getTime(int column,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Time object. This method uses the given calendar to construct an appropriate millisecond value for the Time if the underlying database does not store timezone information.
  Specified by:
    getTime in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
    `cal` - the calendar to use in constructing the time
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getTime

    public java.sql.Time getTime(java.lang.String columnName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Time object. This method uses the given calendar to construct an appropriate millisecond value for the Time if the underlying database does not store timezone information.
  Specified by:
    getTime in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
    `cal` - the calendar to use in constructing the time
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getTimestamp

    public java.sql.Timestamp getTimestamp(int column,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Timestamp object. This method uses the given calendar to construct an appropriate millisecond value for the Timestamp if the underlying database does not store timezone information.
  Specified by:
    getTimestamp in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...
    `cal` - the calendar to use in constructing the timestamp
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String columnName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Gets the value of a column in the current row as a java.sql.Timestamp object. This method uses the given calendar to construct an appropriate millisecond value for the Timestamp if the underlying database does not store timezone information.
  Specified by:
    getTimestamp in interface java.sql.ResultSet
  Parameters:
    `columnName` - the SQL name of the column
    `cal` - the calendar to use in constructing the timestamp
  Returns:
    the column value; if the value is SQL NULL, the result is null
  Throws:
    java.sql.SQLException - if a database access error occurs

### getCharacterStream

    public java.io.Reader getCharacterStream(int column)
                                      throws java.sql.SQLException

  JDBC 2.0

  Gets the value of a column in the current row as a java.io.Reader.

  Specified by:
    getCharacterStream in interface java.sql.ResultSet
  Parameters:
    `columnIndex` - the first column is 1, the second is 2, ...

### getUpdateCount

    int getUpdateCount()

  Method declaration
  Returns:

### isResult

    boolean isResult()

  Method declaration
  Returns:

### getColumnCount

    public int getColumnCount()

  ResultSetMetaData: Returns the number of columns in this ResultSet.
  Specified by:
    getColumnCount in interface java.sql.ResultSetMetaData
  Returns:
    the number of columns

### isAutoIncrement

    public boolean isAutoIncrement(int column)

  ResultSetMetaData: Indicates whether the column is automatically numbered, thus read-only.
  Specified by:
    isAutoIncrement in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    true if so

### isCaseSensitive

    public boolean isCaseSensitive(int column)

  ResultSetMetaData: Indicates whether a column's case matters.
  Specified by:
    isCaseSensitive in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    true if so

### isSearchable

    public boolean isSearchable(int column)

  ResultSetMetaData: Indicates whether the column can be used in a where clause.
  Specified by:
    isSearchable in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    true if so

### isCurrency

    public boolean isCurrency(int column)

  ResultSetMetaData: Indicates whether the column is a cash value.
  Specified by:
    isCurrency in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    true if so

### isNullable

    public int isNullable(int column)

  ResultSetMetaData: Indicates the nullability of values in the designated column.
  Specified by:
    isNullable in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    the nullability status of the given column; one of columnNoNulls, columnNullable or columnNullableUnknown

### isSigned

    public boolean isSigned(int column)

  ResultSetMetaData: Indicates whether values in the column are signed numbers.
  Specified by:
    isSigned in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    true if so

### getColumnDisplaySize

    public int getColumnDisplaySize(int column)
                             throws java.sql.SQLException

  ResultSetMetaData: Indicates the column's normal max width in chars.
  Specified by:
    getColumnDisplaySize in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    the normal maximum number of characters allowed as the width of the designated column
  Throws:
    java.sql.SQLException - if a database access error occurs

### getColumnLabel

    public java.lang.String getColumnLabel(int column)
                                    throws java.sql.SQLException

  ResultSetMetaData: Gets the suggested column title for use in printouts and displays.
  Specified by:
    getColumnLabel in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    the suggested column title
  Throws:
    java.sql.SQLException - if a database access error occurs

### getColumnName

    public java.lang.String getColumnName(int column)
                                   throws java.sql.SQLException

  ResultSetMetaData: Gets a column's name.
  Specified by:
    getColumnName in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    column name
  Throws:
    java.sql.SQLException - if a database access error occurs

### getSchemaName

    public java.lang.String getSchemaName(int column)

  ResultSetMetaData: Gets a column's table's schema.
  Specified by:
    getSchemaName in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    schema name or "" if not applicable

### getPrecision

    public int getPrecision(int column)

  ResultSetMetaData: Gets a column's number of decimal digits.
  Specified by:
    getPrecision in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    precision

### getScale

    public int getScale(int column)

  ResultSetMetaData: Gets a column's number of digits to right of the decimal point.
  Specified by:
    getScale in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    scale

### getTableName

    public java.lang.String getTableName(int column)
                                  throws java.sql.SQLException

  ResultSetMetaData: Gets a column's table name.
  Specified by:
    getTableName in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    table name or "" if not applicable
  Throws:
    java.sql.SQLException - if a database access error occurs

### getCatalogName

    public java.lang.String getCatalogName(int column)

  ResultSetMetaData: Gets a column's table's catalog name.
  Specified by:
    getCatalogName in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    column name or "" if not applicable.

### getColumnType

    public int getColumnType(int column)
                      throws java.sql.SQLException

  ResultSetMetaData: Retrieves a column's SQL type.
  Specified by:
    getColumnType in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    SQL type from java.sql.Types
  Throws:
    java.sql.SQLException - if a database access error occurs

### getColumnTypeName

    public java.lang.String getColumnTypeName(int column)
                                       throws java.sql.SQLException

  ResultSetMetaData: Retrieves a column's database-specific type name.
  Specified by:
    getColumnTypeName in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    type name used by the database. If the column type is a user-defined type, then a fully-qualified type name is returned.
  Throws:
    java.sql.SQLException - if a database access error occurs

### isReadOnly

    public boolean isReadOnly(int column)

  ResultSetMetaData: Indicates whether a column is definitely not writable.
  Specified by:
    isReadOnly in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    true if so

### isWritable

    public boolean isWritable(int column)

  ResultSetMetaData: Indicates whether it is possible for a write on the column to succeed.
  Specified by:
    isWritable in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    true if so

### isDefinitelyWritable

    public boolean isDefinitelyWritable(int column)

  ResultSetMetaData: Indicates whether a write on the column will definitely succeed.
  Specified by:
    isDefinitelyWritable in interface java.sql.ResultSetMetaData
  Parameters:
    `column` - the first column is 1, the second is 2, ...
  Returns:
    true if so

### getColumnClassName

    public java.lang.String getColumnClassName(int column)
                                        throws java.sql.SQLException

  ResultSetMetaData: JDBC 2.0

  Returns the fully-qualified name of the Java class whose instances are manufactured if the method `ResultSet.getObject` is called to retrieve a value from the column. `ResultSet.getObject` may return a subclass of the class returned by this method.

  Specified by:
    getColumnClassName in interface java.sql.ResultSetMetaData
  Returns:
    the fully-qualified name of the class in the Java programming language that would be used by the method `ResultSet.getObject` to retrieve the value in the specified column. This is the class name used for custom mapping.
  Throws:
    java.sql.SQLException - if a database access error occurs

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD